---
title: Get upload token
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Pages](https://developers.cloudflare.com/api/python/resources/pages)

[Projects](https://developers.cloudflare.com/api/python/resources/pages/subresources/projects)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get upload token

pages.projects.get\_upload\_token(strproject\_name, ProjectGetUploadTokenParams\*\*kwargs) -> [ProjectGetUploadTokenResponse](<https://developers.cloudflare.com/api/python/resources/pages#(resource)%20pages.projects%20%3E%20(model)%20project_get_upload_token_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/pages/projects/{project\_name}/upload-token

Get a short-lived JWT for Pages Direct Upload asset operations.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pages Write`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20pages.projects%20%3E%20(method)%20get_upload_token%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

project\_name: str

Name of the Pages project. Must begin with a lowercase letter or digit and contain only lowercase letters, digits, and hyphens.

[Link to this property](<#(resource)%20pages.projects%20%3E%20(method)%20get_upload_token%20%3E%20(params)%20default%20%3E%20(param)%20project_name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ProjectGetUploadTokenResponse: …

</summary>

jwt: str

Short-lived JWT used to authenticate Pages Direct Upload asset operations.

<a href="#(resource)%20pages.projects%20%3E%20(model)%20project_get_upload_token_response%20%3E%20(schema)%20%3E%20(property)%20jwt">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pages.projects%20%3E%20(model)%20project_get_upload_token_response%20%3E%20(schema)>)

### Get upload token

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pages.projects.get_upload_token(
    project_name="this-is-my-project-01",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.jwt)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "jwt": "jwt"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "jwt": "jwt"
  },
  "success": true
}
```